%define	upstream_name	 Archive-Tar
%define upstream_version 2.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Module for manipulation of tar archives
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/K/KA/KANE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 2.15.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(IO::Compress::Base) >= 2.15.0
BuildRequires: perl(IO::Compress::Bzip2) >= 2.15.0
BuildRequires: perl(IO::Compress::Gzip) >= 2.15.0
BuildRequires: perl(IO::Zlib) >= 1.10.0
BuildRequires: perl(Test::Harness) >= 2.260.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Archive::Tar provides an object oriented mechanism for handling tar files. It
provides class methods for quick and easy files handling while also allowing
for the creation of tar file objects for custom manipulation. If you have the
IO::Zlib upstream_name installed, Archive::Tar will also support compressed or gzipped
tar files.

An object of class Archive::Tar represents a .tar(.gz) archive full of files
and things.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor -d
%make


%install
%makeinstall_std
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Archive/Tar
%{perl_vendorlib}/Archive/Tar.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/*

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 2.40.0-4pclos2017
- rebuild against updates

